<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 21</a>

    <script>

        const volumenHist = (arr, h) => {
 
            let res = 0;
 
            for(let i = 1; i < h - 1; i++) {
 
                let left = arr[i];

                for(let j = 0; j < i; j++) {
                    left = Math.max(left, arr[j]);
                }

                let right = arr[i];

                for(let j = i + 1; j < h; j++) {
                    right = Math.max(right, arr[j]);
                }
 
                res += Math.min(left, right) - arr[i];
            }
            return res;
        }
     
    let arr = [ 0, 1, 0, 2, 1, 0, 1, 3, 2, 1, 2, 1 ];
    let h = arr.length;
  
    console.log(`EL volumen del Histograma es: ${volumenHist(arr, h)}`);

    </script>
    
</body>
</html>